function [F,Accd, bccd_F, nDir] = BC_F(Ntheta,Nr,numnp,nstep,XR)

F = zeros(numnp,nstep+1);
%%BOUNDARY CONDITION FOR F
valDirBC = 80;
nDir = 0;
for i = 1:size(XR,1)
    poly = abs(XR(i,1)^2 + XR(i,2)^2 - 25^2);
    if poly <= 10^-6
        nDir = nDir + 1;
        F(i,:) = valDirBC;
    end
end
nodesD = [(Ntheta+1)*(Nr+1)-Ntheta:(Ntheta+1)*(Nr+1)]';
CDir = [nodesD,zeros(length(nodesD),1)];
nDir = size(CDir,1);

Accd  = zeros(nDir,numnp);
Accd(:,CDir(:,1)) = eye(nDir);
bccd_F = CDir(:,2);
